VERSION 5.00
Begin VB.Form frmSubclass 
   AutoRedraw      =   -1  'True
   Caption         =   "Subclass Demo"
   ClientHeight    =   2970
   ClientLeft      =   2835
   ClientTop       =   1485
   ClientWidth     =   6045
   LinkTopic       =   "Form1"
   ScaleHeight     =   198
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   403
   Begin VB.CommandButton Command1 
      Caption         =   "Send An Application Defined Message"
      Height          =   495
      Left            =   1290
      TabIndex        =   0
      Top             =   1035
      Width           =   3300
   End
   Begin VB.Label Label2 
      Caption         =   "Move this window and see what happens."
      Height          =   375
      Left            =   1425
      TabIndex        =   2
      Top             =   2055
      Width           =   3120
   End
   Begin VB.Label Label1 
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1380
      TabIndex        =   1
      Top             =   435
      Width           =   3150
   End
End
Attribute VB_Name = "frmSubclass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Option Explicit
  ' demo project showing how to impliment a basic subclass in VB
  ' by Bryan Stafford of New Vision Software - newvision@mvps.org
  ' this demo is released into the public domain "as is" without
  ' warranty or guaranty of any kind.  In other words, use at
  ' your own risk.
  
  ' See the comments at the end of the mSubclass bas module for a
  ' brief explaination of what subclassing is.

  
  ' Please note that this is a very simplistic example of subclassing.
  ' For a more robust example, see my 'Advanced Subclassing' demo project.
  
  
Private Sub Command1_Click()
  ' send a custom message to ourselves
  Call PostMessage(hWnd, NV_CUSTOM_MESSAGE, 0&, 0&)
End Sub

Private Sub Form_Load()
  
  ' show the window before subclassing so we don't get the initial
  ' WM_MOVE message
  Show
  
  ' take control of message processing by installing our message handling
  ' routine into the chain of message routines for this window
  MSubclass.InitiateSubclass hWnd
                            
End Sub

Private Sub Form_Unload(Cancel As Integer)

  ' give message processing control back to VB
  ' if you don't do this you WILL crash!!!
  MSubclass.RemoveSubclass hWnd
  
End Sub

Public Sub Form_WindowMoved()
  ' sub called from the windowproc in the .bas module when the window is moved
  
  MsgBox "You moved the window"
  
End Sub
